package com.zcunsoft.pm.note.push;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @author denis
 * @date 2022/6/22 16:32
 */
@Component
public class ZCNotePushConfig {

    private static String emailAccount;
    private static String emailPassword;

    public static String getEmailAccount() {
        return emailAccount;
    }

    public static String getEmailPassword() {
        return emailPassword;
    }

    @Value("${zcunsoft.note.push.email.account}")
    public void setEmailAccount(String emailAccount) {
        ZCNotePushConfig.emailAccount = emailAccount;
    }

    @Value("${zcunsoft.note.push.email.password}")
    public void setEmailPassword(String emailPassword) {
        ZCNotePushConfig.emailPassword = emailPassword;
    }
}